> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.runpayments.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.runpayments.io/_mcp/server.

# Capture

POST https://javelin.runpayments.io/api/v1/capture
Content-Type: application/json

Make a capture request to finalize a transaction that was previously authorized but not captured

Reference: https://docs.runpayments.io/reference/payments-api/capture-transaction

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `trans_id` (string, required) — Reference number for the authorized transaction
- `mid` (string, required) — Merchant ID
- `user_identifier` (string, optional) — The user that initiated the activity
- `amount` (integer, optional) — Ticket amount
- `auth_code` (string, optional) — Authorization code from issuer
- `invoice_id` (string, optional) — User-defined invoice identifier.
- `po_number` (string, optional) — Customer purchase order number
- `freight_amount` (string, optional) — Total order freight amount, default 0
- `duty_amount` (string, optional) — Total order duty amount, default 0
- `order_date` (string, optional) — YYYYMMDD format. For most industries this is the delivery date for the order.
- `shipping_zip` (string, optional) — If country is US, must be 5 or 9 digits. Otherwise, any alphanumeric string is accepted
- `origin_zip` (string, optional) — Same as shipping_zip
- `shipping_country` (string, optional) — Ship To country code, defaults to US
- `line_number` (string, optional) — Optional line number for each item. Line numbers do not need to be specified sequentially; however, if no lineno value is included, items are assigned sequential line numbers.
- `line_items` (list of any, optional) — Level 3 Processing Line Items
- `account_zip` (string, optional) — Cardholder Zip
- `currency` (string, optional) — Three character currency indicator (Defaults to USD)
- `company_name` (string, optional) — Account holder's company name
- `address1` (string, optional) — Account holder's street address
- `address2` (string, optional) — Account holder's street address line 2
- `city` (string, optional) — Account holder's city
- `region` (string, optional) — Account holder's region, US State, Mexican State, Canadian Province
- `country` (string, optional) — Account holder's country - 2-character country code
- `phone` (string, optional) — Account holder's phone
- `email` (string, optional) — Account holder's email

## Response

### 200

Capture successful

- `result` (string, required) — Result of auth request
- `trans_id` (string, required) — Reference number for the transaction
- `resp_code` (string, required) — Response code that represents description of the response (see additional table)
- `resp_text` (string, required) — Text description of response. -> See Status response codes
- `comm_card` (string, required) — Commercial card flag - Y if corporate or purchase card.
- `user_identifier` (string, required) — The user that initiated the activity
- `mid` (string, required) — Merchant ID
- `amount` (integer, required) — Ticket amount
- `order_id` (string, required) — Source system order number
- `auth_code` (string, required) — Authorization code from issuer
- `card_number` (string, required) — PAN - masked on responses
- `batch_id` (string, required) — Automatically created and assigned unless otherwise specified
- `settlement_status` (string, required) — The current settlement status. The settlement status changes throughout the transaction lifecycle, from authorization to settlement.
- `account` (string, required) — PAN
- `account_zip` (string, required) — Cardholder Zip
- `currency` (string, required) — Three character currency indicator (Defaults to USD)
- `company_name` (string, required) — Account holder's company name
- `address1` (string, required) — Account holder's street address
- `address2` (string, required) — Account holder's street address line 2
- `city` (string, required) — Account holder's city
- `region` (string, required) — Account holder's region, US State, Mexican State, Canadian Province
- `country` (string, required) — Account holder's country - 2-character country code
- `phone` (string, required) — Account holder's phone
- `email` (string, required) — Account holder's email

## Errors

### 400 Bad Request Error

Bad request

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

### 401 Unauthorized Error

Unauthorized

- `error` (string, optional) — Error code
- `error_description` (string, optional) — Detailed error description

## Examples

**Request**

```json
{
  "trans_id": "string",
  "mid": "string"
}
```

**Response**

```json
{
  "result": "string",
  "trans_id": "string",
  "resp_code": "string",
  "resp_text": "string",
  "comm_card": "string",
  "user_identifier": "string",
  "mid": "string",
  "amount": 1,
  "order_id": "string",
  "auth_code": "string",
  "card_number": "string",
  "batch_id": "string",
  "settlement_status": "string",
  "account": "string",
  "account_zip": "string",
  "currency": "string",
  "company_name": "string",
  "address1": "string",
  "address2": "string",
  "city": "string",
  "region": "string",
  "country": "string",
  "phone": "string",
  "email": "string"
}
```

**SDK Code**

```python
import requests

url = "https://javelin.runpayments.io/api/v1/capture"

payload = {
    "trans_id": "string",
    "mid": "string"
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://javelin.runpayments.io/api/v1/capture';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"trans_id":"string","mid":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://javelin.runpayments.io/api/v1/capture"

	payload := strings.NewReader("{\n  \"trans_id\": \"string\",\n  \"mid\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://javelin.runpayments.io/api/v1/capture")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"trans_id\": \"string\",\n  \"mid\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://javelin.runpayments.io/api/v1/capture")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"trans_id\": \"string\",\n  \"mid\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://javelin.runpayments.io/api/v1/capture', [
  'body' => '{
  "trans_id": "string",
  "mid": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://javelin.runpayments.io/api/v1/capture");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"trans_id\": \"string\",\n  \"mid\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "trans_id": "string",
  "mid": "string"
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://javelin.runpayments.io/api/v1/capture")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```